diff -r -u -x Makefile -x 'config*' -x libtool -x .deps modplugxmms-2.05/modplugplay/modplugplay.c modplugxmms-2.05_patched/modplugplay/modplugplay.c
--- modplugxmms-2.05/modplugplay/modplugplay.c	2003-10-16 10:47:46.000000000 +0000
+++ modplugxmms-2.05_patched/modplugplay/modplugplay.c	2023-05-20 22:48:21.729078218 +0000
@@ -71,7 +71,7 @@
 #include <string.h>			/* strcpy */
 #include <stdlib.h>			/* srand/rand */
 #include <unistd.h>
-#include <modplug.h>			/* core */
+#include <libmodplug/modplug.h>			/* core */
 #include <sys/ioctl.h>			/* control device */
 #include <fcntl.h>
 
diff -r -u -x Makefile -x 'config*' -x libtool -x .deps modplugxmms-2.05/modplugxmms/archive/arch_bz2.cpp modplugxmms-2.05_patched/modplugxmms/archive/arch_bz2.cpp
--- modplugxmms-2.05/modplugxmms/archive/arch_bz2.cpp	2003-04-22 01:20:31.000000000 +0000
+++ modplugxmms-2.05_patched/modplugxmms/archive/arch_bz2.cpp	2023-05-20 22:33:46.602523964 +0000
@@ -34,7 +34,7 @@
 	string lCommand = "bzcat \'" + aFileName + "\' | wc -c";   //get info
 	FILE *f = popen(lCommand.c_str(), "r");
 
-	if (f <= 0)
+	if ((int)f <= 0)
 	{
 		mSize = 0;
 		return;
@@ -54,7 +54,7 @@
 	lCommand = "bzcat \'" + aFileName + '\'';  //decompress to stdout
 	popen(lCommand.c_str(), "r");
 
-	if (f <= 0)
+	if ((int)f <= 0)
 	{
 		mSize = 0;
 		return;
diff -r -u -x Makefile -x 'config*' -x libtool -x .deps modplugxmms-2.05/modplugxmms/archive/arch_gzip.cpp modplugxmms-2.05_patched/modplugxmms/archive/arch_gzip.cpp
--- modplugxmms-2.05/modplugxmms/archive/arch_gzip.cpp	2003-10-16 04:19:24.000000000 +0000
+++ modplugxmms-2.05_patched/modplugxmms/archive/arch_gzip.cpp	2023-05-20 22:21:48.949282814 +0000
@@ -10,6 +10,7 @@
 #include <fcntl.h>
 #include <unistd.h>
 #include <stdio.h>
+#include <cstring>
 
 #include "arch_gzip.h"
 
@@ -30,7 +31,7 @@
 	string lCommand = "gunzip -l \"" + aFileName + '\"';   //get info
 	FILE *f = popen(lCommand.c_str(), "r");
 	
-	if (f <= 0)
+	if ((int)f <= 0)
 	{
 		mSize = 0;
 		return;
@@ -53,7 +54,7 @@
 	lCommand = "gunzip -c \"" + aFileName + '\"';  //decompress to stdout
         f = popen(lCommand.c_str(), "r");
 	
-	if (f <= 0)
+	if ((int)f <= 0)
 	{
 		mSize = 0;
 		return;
@@ -87,7 +88,7 @@
 	string lCommand = "gunzip -l \"" + aFileName + '\"';   //get info
 	FILE *f = popen(lCommand.c_str(),"r");
 	
-	if (f <= 0) {
+	if ((int)f <= 0) {
 		pclose(f);
 		return false;
 	}
diff -r -u -x Makefile -x 'config*' -x libtool -x .deps modplugxmms-2.05/modplugxmms/archive/arch_rar.cpp modplugxmms-2.05_patched/modplugxmms/archive/arch_rar.cpp
--- modplugxmms-2.05/modplugxmms/archive/arch_rar.cpp	2003-10-16 04:24:06.000000000 +0000
+++ modplugxmms-2.05_patched/modplugxmms/archive/arch_rar.cpp	2023-05-20 22:32:36.342532990 +0000
@@ -10,6 +10,7 @@
 #include <fcntl.h>
 #include <unistd.h>
 #include <stdio.h>
+#include <cstring>
 
 #include "arch_rar.h"
 #include <iostream>
@@ -37,7 +38,7 @@
 	string lCommand = "unrar l \"" + aFileName + '\"';   //get info
 	FILE *f = popen(lCommand.c_str(), "r");
 	
-	if(f <= 0)
+	if((int)f <= 0)
 	{
 		mSize = 0;
 		return;
@@ -50,7 +51,7 @@
 	bool eof = false;
 	while(!eof)
 	{
-		if(fgets(lBuffer, 350, f) <= 0 || f <= 0)
+		if((int)fgets(lBuffer, 350, f) <= 0 || (int)f <= 0)
 			break;
 		if (strlen(lBuffer) > 1)
 			lBuffer[strlen(lBuffer)-1] = 0;
@@ -106,7 +107,7 @@
         //decompress to stdout
 	f = popen(lCommand.c_str(), "r");
 	
-	if (f <= 0)
+	if ((int)f <= 0)
 	{
 		mSize = 0;
 		return;
@@ -140,7 +141,7 @@
 	string lCommand = "unrar l \"" + aFileName + '\"';   //get info
 	FILE *f = popen(lCommand.c_str(), "r");
 	
-	if(f <= 0)
+	if((int)f <= 0)
 		return false;
 
 	int num = 7;
@@ -150,8 +151,8 @@
 	bool eof = false;
 	while(!eof)
 	{
-		if(fgets(lBuffer, 350, f) || f <= 0)
-			if(f <= 0)
+		if(fgets(lBuffer, 350, f) || (int)f <= 0)
+			if((int)f <= 0)
 			break;
 		if (strlen(lBuffer) > 1)
 			lBuffer[strlen(lBuffer)-1] = 0;
diff -r -u -x Makefile -x 'config*' -x libtool -x .deps modplugxmms-2.05/modplugxmms/archive/arch_zip.cpp modplugxmms-2.05_patched/modplugxmms/archive/arch_zip.cpp
--- modplugxmms-2.05/modplugxmms/archive/arch_zip.cpp	2003-10-16 04:27:50.000000000 +0000
+++ modplugxmms-2.05_patched/modplugxmms/archive/arch_zip.cpp	2023-05-20 22:29:18.492558403 +0000
@@ -35,7 +35,7 @@
 	string lCommand = "unzip -l -qq \"" + aFileName + '\"';   //get info
 	FILE *f = popen(lCommand.c_str(), "r");
 
-	if(f <= 0)
+	if((int)f <= 0)
 	{
 		mSize = 0;
 		return;
@@ -47,7 +47,7 @@
 	{
 		char line[301];
 		char lUncompName[300];
-		if (fgets(line, 300, f) <= 0) 
+		if ((int)fgets(line, 300, f) <= 0) 
 		{
 			eof = true;
 			break;
@@ -75,7 +75,7 @@
 	//decompress to stdout
 	f = popen(lCommand.c_str(), "r");
 	
-	if (f <= 0)
+	if ((int)f <= 0)
 	{
 		mSize = 0;
 		return;
@@ -121,14 +121,14 @@
 	string lCommand = "unzip -l -qq \"" + aFileName + '\"';   //get info
 	FILE *f = popen(lCommand.c_str(), "r");
 
-	if(f <= 0)
+	if((int)f <= 0)
 		return false;
 	
 	bool eof = false;
 	while(!eof)
 	{
 		char line[301], lName[300];
-		if (fgets(line, 300, f) <= 0) 
+		if ((int)fgets(line, 300, f) <= 0) 
 			return false;
 		
 		uint32 tempSize;
